package com.qmth.teachcloud.common.domain;

import java.io.Serializable;
import java.time.Duration;
import java.util.List;
import java.util.Map;

/**
 * @Description: 系统配置
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/4/10
 */
public class SysDomain implements Serializable {

    boolean oss;

    List attachmentType;

    Integer attachmentLength;

    Double attachmentSize;

    String serverUpload;

    String accessKey;

    String accessSecret;

    String fileHost;

    String serverHost;

    String adminLogoUrl;

    String htmlToPdfUrl;

    Integer autoCreatePdfResetMaxCount;

    Integer threadPoolCoreSize;

    boolean customThreadPoolCoreSize;

    String reportUrl;

    Duration sessionActive;

    String loginAuthenUrl;

    Map<String, List<String>> flowSchoolCodeMap;

    public Map<String, List<String>> getFlowSchoolCodeMap() {
        return flowSchoolCodeMap;
    }

    public void setFlowSchoolCodeMap(Map<String, List<String>> flowSchoolCodeMap) {
        this.flowSchoolCodeMap = flowSchoolCodeMap;
    }

    public String getLoginAuthenUrl() {
        return loginAuthenUrl;
    }

    public void setLoginAuthenUrl(String loginAuthenUrl) {
        this.loginAuthenUrl = loginAuthenUrl;
    }

    public Duration getSessionActive() {
        return sessionActive;
    }

    public void setSessionActive(Duration sessionActive) {
        this.sessionActive = sessionActive;
    }

    public String getReportUrl() {
        return reportUrl;
    }

    public void setReportUrl(String reportUrl) {
        this.reportUrl = reportUrl;
    }

    public boolean isCustomThreadPoolCoreSize() {
        return customThreadPoolCoreSize;
    }

    public void setCustomThreadPoolCoreSize(boolean customThreadPoolCoreSize) {
        this.customThreadPoolCoreSize = customThreadPoolCoreSize;
    }

    public Integer getAutoCreatePdfResetMaxCount() {
        return autoCreatePdfResetMaxCount;
    }

    public void setAutoCreatePdfResetMaxCount(Integer autoCreatePdfResetMaxCount) {
        this.autoCreatePdfResetMaxCount = autoCreatePdfResetMaxCount;
    }

    public Integer getThreadPoolCoreSize() {
        return threadPoolCoreSize;
    }

    public void setThreadPoolCoreSize(Integer threadPoolCoreSize) {
        this.threadPoolCoreSize = threadPoolCoreSize;
    }

    public String getHtmlToPdfUrl() {
        return htmlToPdfUrl;
    }

    public void setHtmlToPdfUrl(String htmlToPdfUrl) {
        this.htmlToPdfUrl = htmlToPdfUrl;
    }

    public String getAdminLogoUrl() {
        return adminLogoUrl;
    }

    public void setAdminLogoUrl(String adminLogoUrl) {
        this.adminLogoUrl = adminLogoUrl;
    }

    public String getFileHost() {
        return fileHost;
    }

    public void setFileHost(String fileHost) {
        this.fileHost = fileHost;
    }

    public String getServerHost() {
        return serverHost;
    }

    public void setServerHost(String serverHost) {
        this.serverHost = serverHost;
    }

    public Integer getAttachmentLength() {
        return attachmentLength;
    }

    public void setAttachmentLength(Integer attachmentLength) {
        this.attachmentLength = attachmentLength;
    }

    public Double getAttachmentSize() {
        return attachmentSize;
    }

    public void setAttachmentSize(Double attachmentSize) {
        this.attachmentSize = attachmentSize;
    }

    public String getAccessKey() {
        return accessKey;
    }

    public void setAccessKey(String accessKey) {
        this.accessKey = accessKey;
    }

    public String getAccessSecret() {
        return accessSecret;
    }

    public void setAccessSecret(String accessSecret) {
        this.accessSecret = accessSecret;
    }

    public boolean isOss() {
        return oss;
    }

    public void setOss(boolean oss) {
        this.oss = oss;
    }

    public List getAttachmentType() {
        return attachmentType;
    }

    public void setAttachmentType(List attachmentType) {
        this.attachmentType = attachmentType;
    }

    public String getServerUpload() {
        return serverUpload;
    }

    public void setServerUpload(String serverUpload) {
        this.serverUpload = serverUpload;
    }
}
